﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
namespace WebApplication1cs
{
    public partial class WebForm1 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (Session["GridData"] == null)
            {
                Session["GridData"] = GetEmployees();
                WebDataGrid1.DataSource = Session["GridData"];
                WebDataGrid1.DataBind();
            }
            else
            {
                WebDataGrid1.DataSource = Session["GridData"];
            }
        }


        private DataTable GetEmployees()
        {
            return this.GetEmployees(24);
        }

        private DataTable GetEmployees(int count)
        {
            DataTable dtData = new DataTable("Employees");

            dtData.Columns.Add("EmployeeID", typeof(int));
            dtData.Columns.Add("Name", typeof(string));
            dtData.Columns.Add("OnSite", typeof(bool));
            dtData.Columns.Add("DateOfHire", typeof(DateTime));
            dtData.Columns.Add("Department", typeof(int));
            dtData.Columns.Add("Partner", typeof(bool));


            for (int i = 0; i < count; i++)
            {
                dtData.Rows.Add(new object[] { i, string.Format("Name {0}", i), i % 2, DateTime.Today.Date.AddDays(-1 * i), i % 8, i % 2 });
            }

            dtData.PrimaryKey = new DataColumn[] { dtData.Columns["EmployeeID"] };

            return dtData;
        }
        
    }


}